Bug 10777 - Result of checking grouptype is discarded [PATCH]
Result of checking grouptype is discarded [PATCH]
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.1.11
All All
: P5 minor
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-22 13:19 UTC by Roel van Meer
Modified: 2014-09-03 07:27 UTC (History)
1 user (show)

See Also:


Attachments
Don't discard result of checking grouptype (965 bytes, patch)
2014-08-22 13:19 UTC, Roel van Meer
no flags Details
git-am fix for 4.1.next and 4.0.next. (1.19 KB, patch)
2014-08-25 18:54 UTC, Jeremy Allison
jra: review? (idra)
jra: review? (metze)
jra: review? (asn)
ddiss: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roel van Meer 2014-08-22 13:19:20 UTC
Created attachment 10216 [details]
Don't discard result of checking grouptype

The pdb_samba_dsdb_getgrfilter() function first determines the security type
of a group and sets map->sid_name_use accordingly. A little later, this
variable is set again, undoing the previous work.

I stumbled upon this while looking for a different problem. It might be nothing, but it looked like a problem, so I thought I'd report it, in the hope that it might be useful.
Comment 1 Jeremy Allison 2014-08-22 19:30:54 UTC
Looks completely correct to me. I'll post it on samba-technical to get into master and we'll get it fixed in 4.1.x and 4.0.x from there.

Thanks !

Jeremy.
Comment 2 Jeremy Allison 2014-08-25 18:54:52 UTC
Created attachment 10222 [details]
git-am fix for 4.1.next and 4.0.next.

Fix that went into master.
Comment 3 David Disseldorp 2014-08-27 21:23:36 UTC
Looks good. Karolin, please merge.
Comment 4 Karolin Seeger 2014-09-01 19:26:42 UTC
Pushed to autobuild-v4-[0|1]-test.
Comment 5 Karolin Seeger 2014-09-03 07:27:20 UTC
Pushed to both branches.
Closing out bug report.

Thanks!